Comment Automations
Comment-to-DM (ManyChat-style): keyword rules per account or post answer comments with a private DM (Instagram, Facebook) and / or a public reply (also TikTok, Threads, LinkedIn, YouTube, Bluesky, Reddit), with audience filters, follow gates, repeat policies and tracked links. Each comment is answered at most once.
comment_automationsList comment automations
/comment-automationsTry it with MCPAsk your agent to call list-comment-automations (toolset comment_automations)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atname
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
profile_idstringaccount_idstringplatformstringtriggerstringis_activestringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 37 item attributes
objectstringcomment_automation
idstringprofile_idstring | nullaccount_idstring | nullplatformstringnamestringtriggerstringplatform_post_idstring | nullpost_idstring | nullpost_titlestring | nullkeywordsarray of stringmatch_modestringexclude_keywordsarray of stringtypo_tolerancebooleandm_messagestring | nulldm_message_variationsarray of stringbuttonsarray of objectShow 5 item attributes
typestringtitlestringurlstring | nullpayloadstring | nullphonestring | nulltemplateobject | nullquick_repliesarray of objectShow 3 item attributes
titlestringpayloadstring | nullimage_urlstring | nulldm_mediaobject | nullShow 2 child attributes
typestringurlstringcomment_replystring | nullcomment_reply_variationsarray of stringpublic_reply_policystringdm_delay_secondsintegercomment_reply_delay_secondsintegerlink_trackingbooleanclick_tagstring | nullalso_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringmin_follower_countinteger | nullwhen_unknownstringtap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring | nullbutton_labelstring | nullnot_following_messagestring | nullrepeat_policyobjectShow 2 child attributes
modestringcooldown_hoursinteger | nulldedupe_same_text_hoursinteger | nullactionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanstatsobjectShow 14 child attributes
triggeredintegerdms_sentintegerdms_failedintegerunique_contactsintegerpublic_replies_sentintegertracked_sendsintegerlink_clicksintegerunique_clicksintegerdeliveredintegerreadintegeraudience_skippedintegerfollow_gate_sentintegerfollow_gate_passedintegerfollow_gate_failedintegercreated_atstring (date-time) | nullupdated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "comment_automation",
"id": "string",
"profile_id": "string",
"account_id": "string",
"platform": "string",
"name": "string",
"trigger": "string",
"platform_post_id": "string",
"post_id": "string",
"post_title": "string",
"keywords": [
"string"
],
"match_mode": "string",
"exclude_keywords": [
"string"
],
"typo_tolerance": true,
"dm_message": "string",
"dm_message_variations": [
"string"
],
"buttons": [
{
"type": "string",
"title": "string",
"url": "https://example.com",
"payload": "string",
"phone": "+15551234567"
}
],
"template": {},
"quick_replies": [
{
"title": "string",
"payload": "string",
"image_url": "https://example.com"
}
],
"dm_media": {
"type": "string",
"url": "https://example.com"
},
"comment_reply": "string",
"comment_reply_variations": [
"string"
],
"public_reply_policy": "string",
"dm_delay_seconds": 1,
"comment_reply_delay_seconds": 1,
"link_tracking": true,
"click_tag": "string",
"also_match_in_dms": true,
"audience": {
"follower_status": "string",
"min_follower_count": 1,
"when_unknown": "string",
"tap_to_unlock": true
},
"follow_gate": {
"message": "string",
"button_label": "string",
"not_following_message": "string"
}
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create a comment automation
/comment-automationsTry it with MCPAsk your agent to call create-comment-automation (toolset comment_automations)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
profile_idstringaccount_idstringrequirednamestringrequired1–200 characters
triggerstringcommentlive_commentstory_replystory_mention
platform_post_idstring | null≤ 255 characters
post_idstring | nullpost_titlestring | null≤ 300 characters
keywordsarray of string≤ 50 items
match_modestringcontainswordexact
exclude_keywordsarray of string≤ 50 items
typo_tolerancebooleandm_messagestring | null≤ 1000 characters
dm_message_variationsarray of string≤ 5 items
buttonsarray of object | null≤ 3 items
Show 5 item attributes
typestringrequiredurlpostbackphone
titlestringrequired1–20 characters
urlstring≤ 2048 characters
payloadstring≤ 1000 characters
phonestring≤ 32 characters
templateobject | nullShow 3 child attributes
typestringrequiredgeneric
image_aspect_ratiostringhorizontalsquare
elementsarray of objectrequired1–10 items
Show 4 item attributes
titlestringrequired1–80 characters
subtitlestring≤ 80 characters
image_urlstring≤ 2048 characters
buttonsarray of object≤ 3 items
Show 5 item attributes
typestringrequiredurlpostbackphone
titlestringrequired1–20 characters
urlstring≤ 2048 characters
payloadstring≤ 1000 characters
phonestring≤ 32 characters
quick_repliesarray of object | null≤ 13 items
Show 3 item attributes
titlestringrequired1–20 characters
payloadstringrequired≤ 1000 characters
image_urlstring≤ 2048 characters
dm_mediaobject | nullShow 2 child attributes
typestringrequiredimagevideoaudiofile
urlstringrequired≤ 2048 characters
comment_replystring | null≤ 2000 characters
comment_reply_variationsarray of string≤ 5 items
public_reply_policystringafter_dmalways
dm_delay_secondsinteger0–86400
comment_reply_delay_secondsinteger0–86400
link_trackingbooleanclick_tagstring | null≤ 64 characters
also_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringanyfollowernon_follower
min_follower_countintegerwhen_unknownstringsendskipverify
tap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring≤ 640 characters
button_labelstring≤ 20 characters
not_following_messagestring≤ 1000 characters
repeat_policyobjectShow 2 child attributes
modestringrequiredonceevery_comment
cooldown_hoursinteger | null1–8760
dedupe_same_text_hoursinteger | null1–8760
actionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanReturns object
objectstringcomment_automation
idstringprofile_idstring | nullaccount_idstring | nullplatformstringnamestringtriggerstringplatform_post_idstring | nullpost_idstring | nullpost_titlestring | nullkeywordsarray of stringmatch_modestringexclude_keywordsarray of stringtypo_tolerancebooleandm_messagestring | nulldm_message_variationsarray of stringbuttonsarray of objectShow 5 item attributes
typestringtitlestringurlstring | nullpayloadstring | nullphonestring | nulltemplateobject | nullquick_repliesarray of objectShow 3 item attributes
titlestringpayloadstring | nullimage_urlstring | nulldm_mediaobject | nullShow 2 child attributes
typestringurlstringcomment_replystring | nullcomment_reply_variationsarray of stringpublic_reply_policystringdm_delay_secondsintegercomment_reply_delay_secondsintegerlink_trackingbooleanclick_tagstring | nullalso_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringmin_follower_countinteger | nullwhen_unknownstringtap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring | nullbutton_labelstring | nullnot_following_messagestring | nullrepeat_policyobjectShow 2 child attributes
modestringcooldown_hoursinteger | nulldedupe_same_text_hoursinteger | nullactionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanstatsobjectShow 14 child attributes
triggeredintegerdms_sentintegerdms_failedintegerunique_contactsintegerpublic_replies_sentintegertracked_sendsintegerlink_clicksintegerunique_clicksintegerdeliveredintegerreadintegeraudience_skippedintegerfollow_gate_sentintegerfollow_gate_passedintegerfollow_gate_failedintegercreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "comment_automation",
"id": "string",
"profile_id": "string",
"account_id": "string",
"platform": "string",
"name": "string",
"trigger": "string",
"platform_post_id": "string",
"post_id": "string",
"post_title": "string",
"keywords": [
"string"
],
"match_mode": "string",
"exclude_keywords": [
"string"
],
"typo_tolerance": true,
"dm_message": "string",
"dm_message_variations": [
"string"
],
"buttons": [
{
"type": "string",
"title": "string",
"url": "https://example.com",
"payload": "string",
"phone": "+15551234567"
}
],
"template": {},
"quick_replies": [
{
"title": "string",
"payload": "string",
"image_url": "https://example.com"
}
],
"dm_media": {
"type": "string",
"url": "https://example.com"
},
"comment_reply": "string",
"comment_reply_variations": [
"string"
],
"public_reply_policy": "string",
"dm_delay_seconds": 1,
"comment_reply_delay_seconds": 1,
"link_tracking": true,
"click_tag": "string",
"also_match_in_dms": true,
"audience": {
"follower_status": "string",
"min_follower_count": 1,
"when_unknown": "string",
"tap_to_unlock": true
},
"follow_gate": {
"message": "string",
"button_label": "string",
"not_following_message": "string"
},
"repeat_policy": {
"mode": "string",
"cooldown_hours": 1
},
"dedupe_same_text_hours": 1,
"actions": {
"like_comment": true,
"hide_comment": true
},
"is_active": true,
"stats": {
"triggered": 1,
"dms_sent": 1,
"dms_failed": 1,
"unique_contacts": 1,
"public_replies_sent": 1,
"tracked_sends": 1,
"link_clicks": 1,
"unique_clicks": 1,
"delivered": 1,
"read": 1,
"audience_skipped": 1,
"follow_gate_sent": 1,
"follow_gate_passed": 1,
"follow_gate_failed": 1
},
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Get a comment automation
/comment-automations/{id}Try it with MCPAsk your agent to call get-comment-automation (toolset comment_automations)Set up MCP
Path parameters
idstringrequiredcommentAutomation id (cau_…)
1–80 characters
Returns object
objectstringcomment_automation
idstringprofile_idstring | nullaccount_idstring | nullplatformstringnamestringtriggerstringplatform_post_idstring | nullpost_idstring | nullpost_titlestring | nullkeywordsarray of stringmatch_modestringexclude_keywordsarray of stringtypo_tolerancebooleandm_messagestring | nulldm_message_variationsarray of stringbuttonsarray of objectShow 5 item attributes
typestringtitlestringurlstring | nullpayloadstring | nullphonestring | nulltemplateobject | nullquick_repliesarray of objectShow 3 item attributes
titlestringpayloadstring | nullimage_urlstring | nulldm_mediaobject | nullShow 2 child attributes
typestringurlstringcomment_replystring | nullcomment_reply_variationsarray of stringpublic_reply_policystringdm_delay_secondsintegercomment_reply_delay_secondsintegerlink_trackingbooleanclick_tagstring | nullalso_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringmin_follower_countinteger | nullwhen_unknownstringtap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring | nullbutton_labelstring | nullnot_following_messagestring | nullrepeat_policyobjectShow 2 child attributes
modestringcooldown_hoursinteger | nulldedupe_same_text_hoursinteger | nullactionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanstatsobjectShow 14 child attributes
triggeredintegerdms_sentintegerdms_failedintegerunique_contactsintegerpublic_replies_sentintegertracked_sendsintegerlink_clicksintegerunique_clicksintegerdeliveredintegerreadintegeraudience_skippedintegerfollow_gate_sentintegerfollow_gate_passedintegerfollow_gate_failedintegercreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "comment_automation",
"id": "string",
"profile_id": "string",
"account_id": "string",
"platform": "string",
"name": "string",
"trigger": "string",
"platform_post_id": "string",
"post_id": "string",
"post_title": "string",
"keywords": [
"string"
],
"match_mode": "string",
"exclude_keywords": [
"string"
],
"typo_tolerance": true,
"dm_message": "string",
"dm_message_variations": [
"string"
],
"buttons": [
{
"type": "string",
"title": "string",
"url": "https://example.com",
"payload": "string",
"phone": "+15551234567"
}
],
"template": {},
"quick_replies": [
{
"title": "string",
"payload": "string",
"image_url": "https://example.com"
}
],
"dm_media": {
"type": "string",
"url": "https://example.com"
},
"comment_reply": "string",
"comment_reply_variations": [
"string"
],
"public_reply_policy": "string",
"dm_delay_seconds": 1,
"comment_reply_delay_seconds": 1,
"link_tracking": true,
"click_tag": "string",
"also_match_in_dms": true,
"audience": {
"follower_status": "string",
"min_follower_count": 1,
"when_unknown": "string",
"tap_to_unlock": true
},
"follow_gate": {
"message": "string",
"button_label": "string",
"not_following_message": "string"
},
"repeat_policy": {
"mode": "string",
"cooldown_hours": 1
},
"dedupe_same_text_hours": 1,
"actions": {
"like_comment": true,
"hide_comment": true
},
"is_active": true,
"stats": {
"triggered": 1,
"dms_sent": 1,
"dms_failed": 1,
"unique_contacts": 1,
"public_replies_sent": 1,
"tracked_sends": 1,
"link_clicks": 1,
"unique_clicks": 1,
"delivered": 1,
"read": 1,
"audience_skipped": 1,
"follow_gate_sent": 1,
"follow_gate_passed": 1,
"follow_gate_failed": 1
},
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update a comment automation
/comment-automations/{id}Try it with MCPAsk your agent to call update-comment-automation (toolset comment_automations)Set up MCP
Path parameters
idstringrequiredcommentAutomation id (cau_…)
1–80 characters
Body object
namestring1–200 characters
triggerstringcommentlive_commentstory_replystory_mention
platform_post_idstring | null≤ 255 characters
post_idstring | nullpost_titlestring | null≤ 300 characters
keywordsarray of string≤ 50 items
match_modestringcontainswordexact
exclude_keywordsarray of string≤ 50 items
typo_tolerancebooleandm_messagestring | null≤ 1000 characters
dm_message_variationsarray of string≤ 5 items
buttonsarray of object | null≤ 3 items
Show 5 item attributes
typestringrequiredurlpostbackphone
titlestringrequired1–20 characters
urlstring≤ 2048 characters
payloadstring≤ 1000 characters
phonestring≤ 32 characters
templateobject | nullShow 3 child attributes
typestringrequiredgeneric
image_aspect_ratiostringhorizontalsquare
elementsarray of objectrequired1–10 items
Show 4 item attributes
titlestringrequired1–80 characters
subtitlestring≤ 80 characters
image_urlstring≤ 2048 characters
buttonsarray of object≤ 3 items
Show 5 item attributes
typestringrequiredurlpostbackphone
titlestringrequired1–20 characters
urlstring≤ 2048 characters
payloadstring≤ 1000 characters
phonestring≤ 32 characters
quick_repliesarray of object | null≤ 13 items
Show 3 item attributes
titlestringrequired1–20 characters
payloadstringrequired≤ 1000 characters
image_urlstring≤ 2048 characters
dm_mediaobject | nullShow 2 child attributes
typestringrequiredimagevideoaudiofile
urlstringrequired≤ 2048 characters
comment_replystring | null≤ 2000 characters
comment_reply_variationsarray of string≤ 5 items
public_reply_policystringafter_dmalways
dm_delay_secondsinteger0–86400
comment_reply_delay_secondsinteger0–86400
link_trackingbooleanclick_tagstring | null≤ 64 characters
also_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringanyfollowernon_follower
min_follower_countintegerwhen_unknownstringsendskipverify
tap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring≤ 640 characters
button_labelstring≤ 20 characters
not_following_messagestring≤ 1000 characters
repeat_policyobjectShow 2 child attributes
modestringrequiredonceevery_comment
cooldown_hoursinteger | null1–8760
dedupe_same_text_hoursinteger | null1–8760
actionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanReturns object
objectstringcomment_automation
idstringprofile_idstring | nullaccount_idstring | nullplatformstringnamestringtriggerstringplatform_post_idstring | nullpost_idstring | nullpost_titlestring | nullkeywordsarray of stringmatch_modestringexclude_keywordsarray of stringtypo_tolerancebooleandm_messagestring | nulldm_message_variationsarray of stringbuttonsarray of objectShow 5 item attributes
typestringtitlestringurlstring | nullpayloadstring | nullphonestring | nulltemplateobject | nullquick_repliesarray of objectShow 3 item attributes
titlestringpayloadstring | nullimage_urlstring | nulldm_mediaobject | nullShow 2 child attributes
typestringurlstringcomment_replystring | nullcomment_reply_variationsarray of stringpublic_reply_policystringdm_delay_secondsintegercomment_reply_delay_secondsintegerlink_trackingbooleanclick_tagstring | nullalso_match_in_dmsbooleanaudienceobject | nullShow 4 child attributes
follower_statusstringmin_follower_countinteger | nullwhen_unknownstringtap_to_unlockbooleanfollow_gateobject | nullShow 3 child attributes
messagestring | nullbutton_labelstring | nullnot_following_messagestring | nullrepeat_policyobjectShow 2 child attributes
modestringcooldown_hoursinteger | nulldedupe_same_text_hoursinteger | nullactionsobjectShow 2 child attributes
like_commentbooleanhide_commentbooleanis_activebooleanstatsobjectShow 14 child attributes
triggeredintegerdms_sentintegerdms_failedintegerunique_contactsintegerpublic_replies_sentintegertracked_sendsintegerlink_clicksintegerunique_clicksintegerdeliveredintegerreadintegeraudience_skippedintegerfollow_gate_sentintegerfollow_gate_passedintegerfollow_gate_failedintegercreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "comment_automation",
"id": "string",
"profile_id": "string",
"account_id": "string",
"platform": "string",
"name": "string",
"trigger": "string",
"platform_post_id": "string",
"post_id": "string",
"post_title": "string",
"keywords": [
"string"
],
"match_mode": "string",
"exclude_keywords": [
"string"
],
"typo_tolerance": true,
"dm_message": "string",
"dm_message_variations": [
"string"
],
"buttons": [
{
"type": "string",
"title": "string",
"url": "https://example.com",
"payload": "string",
"phone": "+15551234567"
}
],
"template": {},
"quick_replies": [
{
"title": "string",
"payload": "string",
"image_url": "https://example.com"
}
],
"dm_media": {
"type": "string",
"url": "https://example.com"
},
"comment_reply": "string",
"comment_reply_variations": [
"string"
],
"public_reply_policy": "string",
"dm_delay_seconds": 1,
"comment_reply_delay_seconds": 1,
"link_tracking": true,
"click_tag": "string",
"also_match_in_dms": true,
"audience": {
"follower_status": "string",
"min_follower_count": 1,
"when_unknown": "string",
"tap_to_unlock": true
},
"follow_gate": {
"message": "string",
"button_label": "string",
"not_following_message": "string"
},
"repeat_policy": {
"mode": "string",
"cooldown_hours": 1
},
"dedupe_same_text_hours": 1,
"actions": {
"like_comment": true,
"hide_comment": true
},
"is_active": true,
"stats": {
"triggered": 1,
"dms_sent": 1,
"dms_failed": 1,
"unique_contacts": 1,
"public_replies_sent": 1,
"tracked_sends": 1,
"link_clicks": 1,
"unique_clicks": 1,
"delivered": 1,
"read": 1,
"audience_skipped": 1,
"follow_gate_sent": 1,
"follow_gate_passed": 1,
"follow_gate_failed": 1
},
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Delete a comment automation
/comment-automations/{id}Try it with MCPAsk your agent to call delete-comment-automation (toolset comment_automations)Set up MCP
Path parameters
idstringrequiredcommentAutomation id (cau_…)
1–80 characters
Returns object
objectstringrequiredcomment_automation
idstringrequireddeletedbooleanrequiredResponses
{
"object": "comment_automation",
"id": "string",
"deleted": true
}List comment automation logs
/comment-automations/{id}/logsTry it with MCPAsk your agent to call list-comment-automation-logs (toolset comment_automations)Set up MCP
Path parameters
idstringrequiredcommentAutomation id (cau_…)
1–80 characters
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
statusstringsourcestringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 30 item attributes
objectstringcomment_automation_log
idstringautomation_idstringcomment_idstringcommenter_idstring | nullcommenter_namestring | nullcommenter_usernamestring | nullcomment_textstring | nullsourcestringstatusstringpendingsentfailedskippedgated
skip_reasonstring | nullcontact_idstring | nullaudience_outcomestring | nullcommenter_is_followerboolean | nullcommenter_follower_countinteger | nulldm_message_idstring | nullerrorstring | nullplatform_errorobject | nullShow 2 child attributes
codeinteger | nullsubcodeinteger | nullprivate_reply_consumedboolean | nullcomment_reply_statusstring | nullcomment_reply_errorstring | nullpublic_reply_posted_atstring (date-time) | nulllike_skippedstring | nullhide_skippedstring | nullmedia_errorstring | nullnext_due_atstring (date-time) | nullclicked_atstring (date-time) | nullclick_countintegercreated_atstring (date-time) | nullupdated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "comment_automation_log",
"id": "string",
"automation_id": "string",
"comment_id": "string",
"commenter_id": "string",
"commenter_name": "string",
"commenter_username": "string",
"comment_text": "string",
"source": "string",
"status": "pending",
"skip_reason": "string",
"contact_id": "string",
"audience_outcome": "string",
"commenter_is_follower": true,
"commenter_follower_count": 1,
"dm_message_id": "string",
"error": "string",
"platform_error": {
"code": 1,
"subcode": 1
},
"private_reply_consumed": true,
"comment_reply_status": "string",
"comment_reply_error": "string",
"public_reply_posted_at": "2026-10-13T09:00:00.000Z",
"like_skipped": "string",
"hide_skipped": "string",
"media_error": "string",
"next_due_at": "2026-10-13T09:00:00.000Z",
"clicked_at": "2026-10-13T09:00:00.000Z",
"click_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}